src/JobeetBundle/Entity/Job.php
<?php

namespace JobeetBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use JobeetBundle\Utils\Jobeet as Jobeet;

/**
 * Job
 *
 * @ORM\Table(name="job")
 * @ORM\Entity(repositoryClass="JobeetBundle\Repository\JobRepository")
 * @ORM\HasLifecycleCallbacks()
 */
class Job
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="type", type="string", length=255, nullable=true)
     */
    private $type;

    /**
     * @var string
     *
     * @ORM\Column(name="company", type="string", length=255)
     */
    private $company;

    /**
     * @var string
     *
     * @ORM\Column(name="logo", type="string", length=255, nullable=true)
     */
    private $logo;

    /**
     * @var string
     *
     * @ORM\Column(name="url", type="string", length=255, nullable=true)
     */
    private $url;

    /**
     * @var string
     *
     * @ORM\Column(name="position", type="string", length=255)
     */
    private $position;

    /**
     * @var string
     *
     * @ORM\Column(name="location", type="string", length=255)
     */
    private $location;

    /**
     * @var string
     *
     * @ORM\Column(name="description", type="text")
     */
    private $description;


    /**
     * @var text
     *
     * @ORM\Column(name="how_to_apply", type="text")
     */
    private $howtoApply;

    /**
     * @var string
     *
     * @ORM\Column(name="token", type="string", length=255, unique=true)
     */
    private $token;

    /**
     * @var bool
     *
     * @ORM\Column(name="is_public", type="boolean", nullable=true)
     */
    private $isPublic;

    /**
     * @var bool
     *
     * @ORM\Column(name="is_activated", type="boolean", nullable=true)
     */
    private $isActivated;

    /**
     * @var string
     *
     * @ORM\Column(name="email", type="string", length=255)
     */
    private $email;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="expires_at", type="datetime")
     */
    private $expiresAt;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="created_at", type="datetime")
     */
    private $createdAt;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="updated_at", type="datetime", nullable=true)
     */
    private $updatedAt;



    /**
     * @ORM\ManyToOne(targetEntity="Category", inversedBy="jobs")
     */
    private $category;

 


    /**
    * @ORM\PrePersist
    */
    public function setCreatedAtValue()
    {
        $this->createdAt = new \DateTime();
    }

    /**
    * @ORM\PrePersist
    */
    public function setExpiresAtValue()
    {

        if(!$this->getExpiresAt())
          {
            $now = $this->getCreatedAt() ? $this->getCreatedAt()->format('U') : time();  
            $this->expiresAt = new \DateTime(date('Y-m-d H:i:s', $now + 86400 * 30));
         
          }
    }

    /**
    * @ORM\PrePersist
    */

    public function setTokenValue()
    {
      if(!$this->getToken())
      {
        $this->token = sha1($this->getEmail().rand(11111, 99999));
      }
    }

    /**
    * @ORM\PreUpdate
    */
    public function setUpdatedAtValue()
    {
        $this->updatedAt = new \DateTime();
    }


    /**
     * Get id
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set type
     *
     * @param string $type
     *
     * @return Job
     */
    public function setType($type)
    {
        $this->type = $type;

        return $this;
    }

    /**
     * Get type
     *
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * Set company
     *
     * @param string $company
     *
     * @return Job
     */
    public function setCompany($company)
    {
        $this->company = $company;

        return $this;
    }

    /**
     * Get company
     *
     * @return string
     */
    public function getCompany()
    {
        return $this->company;
    }

    /**
     * Set logo
     *
     * @param string $logo
     *
     * @return Job
     */
    public function setLogo($logo)
    {
        $this->logo = $logo;

        return $this;
    }

    /**
     * Get logo
     *
     * @return string
     */
    public function getLogo()
    {
        return $this->logo;
    }

    /**
     * Set url
     *
     * @param string $url
     *
     * @return Job
     */
    public function setUrl($url)
    {
        $this->url = $url;

        return $this;
    }

    /**
     * Get url
     *
     * @return string
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * Set position
     *
     * @param string $position
     *
     * @return Job
     */
    public function setPosition($position)
    {
        $this->position = $position;

        return $this;
    }

    /**
     * Get position
     *
     * @return string
     */
    public function getPosition()
    {
        return $this->position;
    }

    /**
     * Set location
     *
     * @param string $location
     *
     * @return Job
     */
    public function setLocation($location)
    {
        $this->location = $location;

        return $this;
    }

    /**
     * Get location
     *
     * @return string
     */
    public function getLocation()
    {
        return $this->location;
    }

    /**
     * Set description
     *
     * @param string $description
     *
     * @return Job
     */
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set token
     *
     * @param string $token
     *
     * @return Job
     */
    public function setToken($token)
    {
        $this->token = $token;

        return $this;
    }

    /**
     * Get token
     *
     * @return string
     */
    public function getToken()
    {
        return $this->token;
    }

    /**
     * Set isPublic
     *
     * @param boolean $isPublic
     *
     * @return Job
     */
    public function setIsPublic($isPublic)
    {
        $this->isPublic = $isPublic;

        return $this;
    }

    /**
     * Get isPublic
     *
     * @return bool
     */
    public function getIsPublic()
    {
        return $this->isPublic;
    }

    /**
     * Set isActivated
     *
     * @param boolean $isActivated
     *
     * @return Job
     */
    public function setIsActivated($isActivated)
    {
        $this->isActivated = $isActivated;

        return $this;
    }

    /**
     * Get isActivated
     *
     * @return bool
     */
    public function getIsActivated()
    {
        return $this->isActivated;
    }

    /**
     * Set email
     *
     * @param string $email
     *
     * @return Job
     */
    public function setEmail($email)
    {
        $this->email = $email;

        return $this;
    }

    /**
     * Get email
     *
     * @return string
     */
    public function getEmail()
    {
        return $this->email;
    }

    

    /**
     * Set createdAt
     *
     * @param \DateTime $createdAt
     *
     * @return Job
     */
    public function setCreatedAt($createdAt)
    {
        $this->createdAt = $createdAt;

        return $this;
    }

    /**
     * Get createdAt
     *
     * @return \DateTime
     */
    public function getCreatedAt()
    {
        return $this->createdAt;
    }

    /**
     * Set updatedAt
     *
     * @param \DateTime $updatedAt
     *
     * @return Job
     */
    public function setUpdatedAt($updatedAt)
    {
        $this->updatedAt = $updatedAt;

        return $this;
    }

    /**
     * Get updatedAt
     *
     * @return \DateTime
     */
    public function getUpdatedAt()
    {
        return $this->updatedAt;
    }

    /**
     * Set category
     *
     * @param \JobeetBundle\Entity\Category $category
     *
     * @return Job
     */
    public function setCategory(\JobeetBundle\Entity\Category $category = null)
    {
        $this->category = $category;

        return $this;
    }

    /**
     * Get category
     *
     * @return \JobeetBundle\Entity\Category
     */
    public function getCategory()
    {
        return $this->category;
    }

    /**
     * Set howtoApply
     *
     * @param string $howtoApply
     *
     * @return Job
     */
    public function setHowtoApply($howtoApply)
    {
        $this->howtoApply = $howtoApply;

        return $this;
    }

    /**
     * Get howtoApply
     *
     * @return string
     */
    public function getHowtoApply()
    {
        return $this->howtoApply;
    }


     public function getCompanySlug()
    {
        return Jobeet::slugify($this->getCompany());
    }
 
    public function getPositionSlug()
    {
        return Jobeet::slugify($this->getPosition());
    }
 
    public function getLocationSlug()
    {
        return Jobeet::slugify($this->getLocation());
    }

    /**
     * Set expiresAt
     *
     * @param \DateTime $expiresAt
     *
     * @return Job
     */
    public function setExpiresAt($expiresAt)
    {
        $this->expiresAt = $expiresAt;



        return $this;
    }

    /**
     * Get expiresAt
     *
     * @return \DateTime
     */
    public function getExpiresAt()
    {
        return $this->expiresAt;
    }


    public static function getTypes()
    {
        return ['full-time' => 'Full time', 'part-time' => 'Part time' , 'freelance' => 'Freelance'];
    }

    public static function getTypeValues()
    {
      return array_keys(self::getTypes());
    }

    public function isExpired()
    {
      return $this->getDaysBeforeExpires() < 0;
    }
     
    public function expiresSoon()
    {
      return $this->getDaysBeforeExpires() < 5;
    }
     

src/JobeetBundle/Controller/JobController.php
<?php

namespace JobeetBundle\Controller;

use JobeetBundle\Entity\Job;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use JobeetBundle\Service\FileUploader;

/**
 * Job controller.
 *
 */
class JobController extends Controller
{
    /**
     * Lists all job entities.
     *
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $jobs = $em->getRepository('JobeetBundle:Job')->getActiveJobs();
        $categories = $em->getRepository('JobeetBundle:Category')->getWithJobs();
 
        foreach($categories as $category)
        {
            $category->setActiveJobs($em->getRepository('JobeetBundle:Job')->getActiveJobs($category->getId(),10));
        }

        return $this->render('@Jobeet/job/homepage.html.twig', array(
            'jobs' => $jobs,
            'categories' => $categories
        ));
    }

    /**
     * Creates a new job entity.
     *
     */
    public function newAction(Request $request, FileUploader $fileUploader)
    {
        $job = new Job();
        $form = $this->createForm('JobeetBundle\Form\JobType', $job);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $file = $job->getLogo();
            $fileName = $fileUploader->upload($file);

            $job->setLogo($fileName);
            
            $em->persist($job);
               
            $em->flush();

            return $this->redirectToRoute('ens_job_preview', array(
                'company' => $job->getCompanySlug(),
                'location' => $job->getLocationSlug(),
                'token' => $job->getToken(), 
                'position' => $job->getPositionSlug()
            ));
        }

        return $this->render('@Jobeet/job/new.html.twig', array(
            'job' => $job,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a job entity.
     *
     */
    public function showAction(Job $job)
    {

        $em = $this->getDoctrine()->getManager();
        
        $result = $em->getRepository('JobeetBundle:Job')->getActiveJob($job->getId());
        

        return $this->render('@Jobeet/job/job-single.html.twig', array(
            'job' => $result,
        ));
    }

    /**
     * Preview a job entity.
     *
     */
    public function previewAction($token)
    {

        $em = $this->getDoctrine()->getManager();
        
        $result = $em->getRepository('JobeetBundle:Job')->findOneByToken($token);

        if (!$result) {
            throw new createNotFoundException("Offre introuvable");
            
        }
        

        return $this->render('@Jobeet/job/job-single.html.twig', array(
            'job' => $result,
        ));
    }

    /**
     * Extend expire date of a job entity.
     *
     */
    public function extendAction($token)
    {

        $em = $this->getDoctrine()->getManager();
        
        $job = $em->getRepository('JobeetBundle:Job')->findOneByToken($token);

        if (!$job) 
            throw new createNotFoundException("Offre introuvable");

        if ($job->extend()) {
            $em->flush();
            $this->addFlash('success', sprintf('La date de validité de votre annonce a été étendu jusqu au %s.', $job->getExpiresAt()->format('m/d/Y')));
        }
        
            
        return $this->redirectToRoute('ens_job_preview', array(
            'company' => $job->getCompanySlug(),
            'location' => $job->getLocationSlug(),
            'token' => $job->getToken(), 
            'position' => $job->getPositionSlug()
        ));
        

        
    }

    /**
     * Displays a form to edit an existing job entity.
     *
     */
    public function editAction(Request $request, $token)
    {
        //$deleteForm = $this->createDeleteForm($job);
        $em = $this->getDoctrine()->getManager();

        $job = $em->getRepository('JobeetBundle:Job')->findOneByToken($token);

        if (!$job) 
            throw new createNotFoundException("Offre introuvable");
            
        

        $editForm = $this->createForm('JobeetBundle\Form\JobType', $job);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em->flush();

            return $this->redirectToRoute('ens_job_preview', array(
                'company' => $job->getCompanySlug(),
                'location' => $job->getLocationSlug(),
                'token' => $job->getToken(), 
                'position' => $job->getPositionSlug()
            ));
        }

        return $this->render('job/edit.html.twig', array(
            'job' => $job,
            'form' => $editForm->createView(),
            //'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a job entity.
     *
     */
    public function deleteAction(Request $request, $token)
    {
        $em = $this->getDoctrine()->getManager();

        $job = $em->getRepository('JobeetBundle:Job')->findOneByToken($token);

        if (!$job) 
            throw new createNotFoundException("Offre introuvable");

        $em->remove($job);
        $em->flush();
        

        return $this->redirectToRoute('ens_job_index');
    }

    /**
     * Creates a form to delete a job entity.
     *
     * @param Job $job The job entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(Job $job)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('ens_job_delete', array('id' => $job->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }

    /**
     * Publish job.
     *
     * @param Job $job The job entity
     */

    public function publishAction(Request $request, $token){
        $em = $this->getDoctrine()->getManager();

        $job = $em->getRepository('JobeetBundle:Job')->findOneByToken($token);

        if (!$job) 
            throw new createNotFoundException("Offre introuvable");

        $job->setIsActivated(true);
        $em->flush();

        $this->addFlash(
            'success',
            'Annonce publiée, elle sera active pendant 30 jours'
        );
        return $this->redirectToRoute('ens_job_preview', array(
                'company' => $job->getCompanySlug(),
                'location' => $job->getLocationSlug(),
                'token' => $job->getToken(), 
                'position' => $job->getPositionSlug()
            ));


    }
}

src/JobeetBundle/Resources/views/job/admin.html.twig
{#   if job is not activated : show button to activate it and button to publish it  #}

 <p class="mt-5">

	{% if not job.isActivated %}
		 
        <a href="{{ path('ens_job_edit', {'token' : job.token }) }}" class="btn btn-primary  py-2 px-4">Modifier</a>

        <a href="{{ path('ens_job_publish', {'token' : job.token }) }}" class="btn btn-success  py-2 px-4">Publier</a>
	        
	{% endif %}

	<a href="{{ path('ens_job_delete', {'token' : job.token }) }}" class="btn btn-danger  py-2 px-4">Supprimer</a>
</p>

{#   if job is activated : show expired, otherwise check if it will be soon expired to ask if he want to extend it, otherwise show number of days   #}
{% if job.isActivated %}
	{% if job.isExpired %}
		Expirée
	{% else %}
		Expirera dans <strong>{{ job.getDaysBeforeExpires }}</strong> jours
	{% endif %}

	{% if job.expiresSoon %}
         <a href="{{ path('ens_job_extend', {'token' : job.token }) }}">Prolonger</a> pour 30 jours
    {% endif %}

 {% else %}

 	[Marquez ceci <a href="{{ url('ens_job_preview', { 'token': job.token, 'company': job.companyslug, 'location': job.locationslug, 'position': job.positionslug }) }}">URL</a> pour le gérer après]
	
{% endif %}

src/JobeetBundle/Resources/views/job/edit.html.twig
{% extends 'front.html.twig' %}

{% block content %}

    <div class="unit-5 overlay" style="background-image: url('images/hero_bg_2.jpg');">
      <div class="container text-center">
        <h2 class="mb-0">Modifier l'offre</h2>
        <p class="mb-0 unit-6"><a href="index.html">Accueil</a> <span class="sep">></span> <span>Modifier l'offre</span></p>
      </div>
    </div>

    
    

    <div class="site-section bg-light">
      <div class="container">
        <div class="row">
       
          <div class="col-md-12 col-lg-8 mb-5">
            
            {{ form_start(form, {'attr' : { 'class' : 'p-5 bg-white' }}) }}

            <div class="row form-group">
                <div class="col-md-12"><h3>{{ form_label(form.type) }}</h3></div>
                {% for type in form.type.vars.choices %}

                    <div class="col-md-12 mb-3 mb-md-0">
                        <label for="jobeetbundle_job_type_{{loop.index-1}}">
                            <input type="radio" id="jobeetbundle_job_type_{{loop.index-1}}" name="jobeetbundle_job[type]" value="{{type.value}}"> {{type.value}}
                        </label>
                    </div>
                {% endfor %}
            </div>

            <div class="row form-group">
                <div class="col-md-12 mb-3 mb-md-0">
                  <label class="font-weight-bold" for="company">{{ form_label(form.company) }}</label>
                  {{ form_widget(form.company,{'attr': {'class': 'form-control'}}) }}
                </div>
            </div>

            <div class="row form-group">
                <div class="col-md-12 mb-3 mb-md-0">
                  <label class="font-weight-bold" for="position">{{ form_label(form.position) }}</label>
                  {{ form_widget(form.position,{'attr': {'class': 'form-control'}}) }}
                </div>
            </div>

            <div class="row form-group">
                <div class="col-md-12 mb-3 mb-md-0">
                  <label class="font-weight-bold" for="location">{{ form_label(form.location) }}</label>
                  {{ form_widget(form.location,{'attr': {'class': 'form-control'}}) }}
                </div>
            </div>

            <div class="row form-group">
                <div class="col-md-12 mb-3 mb-md-0">
                  <label class="font-weight-bold" for="email">{{ form_label(form.email) }}</label>
                  {{ form_widget(form.email,{'attr': {'class': 'form-control'}}) }}
                </div>
            </div>

            <div class="row form-group">
                <div class="col-md-12"><h3>{{ form_label(form.description) }}</h3></div>
                <div class="col-md-12 mb-3 mb-md-0">
                  {{ form_widget(form.description,{'attr': {'class': 'form-control'}}) }}
                </div>
            </div>

            <div class="row form-group">
                <div class="col-md-12"><h3>{{ form_label(form.howtoApply) }}</h3></div>
                <div class="col-md-12 mb-3 mb-md-0">
                  {{ form_widget(form.howtoApply,{'attr': {'class': 'form-control'}}) }}
                </div>
            </div>

            <div class="row form-group">
                <div class="col-md-12 mb-3 mb-md-0">
                  <label class="font-weight-bold" for="token">{{ form_label(form.token) }}</label>
                  {{ form_widget(form.token,{'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
            
            <div class="row form-group">
                <div class="col-md-12 mb-3 mb-md-0">
                  <label for="jobeetbundle_job_isPublic">
                    {{ form_widget(form.isPublic) }}
                    
                    <span>Publique</span>
                    
                  </label>
                </div>
            </div>

            <div class="row form-group">
                <div class="col-md-12 mb-3 mb-md-0">
                  <label class="font-weight-bold" for="category">{{ form_label(form.category) }}</label>
                  {{ form_widget(form.category,{'attr': {'class': 'form-control'}}) }}
                </div>
            </div>

           {#  <div class="row form-group">
                <div class="col-md-12"><h3>{{ form_label(form.logo) }}</h3></div>
                <div class="col-md-12 mb-3 mb-md-0">
                    {{ form_widget(form.logo) }}
                </div>
            </div> #}


            <input type="submit" value="Create" class="btn btn-primary  py-2 px-5"/>
            {{ form_widget(form._token) }}
            {{ form_errors(form._token) }}
            {{ form_end(form,{'render_rest' :  false}) }}
                    
          
            
          </div>

          <div class="col-lg-4">
            <div class="p-4 mb-3 bg-white">
              <h3 class="h5 text-black mb-3">Contact Info</h3>
              <p class="mb-0 font-weight-bold">Address</p>
              <p class="mb-4">203 Fake St. Mountain View, San Francisco, California, USA</p>

              <p class="mb-0 font-weight-bold">Phone</p>
              <p class="mb-4"><a href="#">+1 232 3235 324</a></p>

              <p class="mb-0 font-weight-bold">Email Address</p>
              <p class="mb-0"><a href="#">youremail@domain.com</a></p>

            </div>
            
            <div class="p-4 mb-3 bg-white">
              <h3 class="h5 text-black mb-3">More Info</h3>
              <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa ad iure porro mollitia architecto hic consequuntur. Distinctio nisi perferendis dolore, ipsa consectetur</p>
              <p><a href="#" class="btn btn-primary  py-2 px-4">Learn More</a></p>
            </div>
          </div>
        </div>
      </div>
    </div>

   

{% endblock %}
  

    

    
 

src/JobeetBundle/Resources/views/job/homepage.html.twig
{% extends 'front.html.twig' %}

{% block content %}

    <div class="site-blocks-cover" style="background-image: url({{ asset('images/hero_bg_1.jpg') }});" data-aos="fade" data-stellar-background-ratio="0.5">
      <div class="container">
        <div class="row row-custom align-items-center">
          <div class="col-md-10">
            <h1 class="mb-2 text-black w-75"><span class="font-weight-bold">Largest Job</span> Site On The Net</h1>
            <div class="job-search">
              <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                <li class="nav-item">
                  <a class="nav-link active py-3" id="pills-job-tab" data-toggle="pill" href="#pills-job" role="tab" aria-controls="pills-job" aria-selected="true">Find A Job</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link py-3" id="pills-candidate-tab" data-toggle="pill" href="#pills-candidate" role="tab" aria-controls="pills-candidate" aria-selected="false">Find A Candidate</a>
                </li>
              </ul>
              <div class="tab-content bg-white p-4 rounded" id="pills-tabContent">
                <div class="tab-pane fade show active" id="pills-job" role="tabpanel" aria-labelledby="pills-job-tab">
                  <form action="#" method="post">
                    <div class="row">
                      <div class="col-md-6 col-lg-3 mb-3 mb-lg-0">
                        <input type="text" class="form-control" placeholder="eg. Web Developer">
                      </div>
                      <div class="col-md-6 col-lg-3 mb-3 mb-lg-0">
                        <div class="select-wrap">
                          <span class="icon-keyboard_arrow_down arrow-down"></span>
                          <select name="" id="" class="form-control">
                            <option value="">Category</option>
                            <option value="fulltime">Full Time</option>
                            <option value="fulltime">Part Time</option>
                            <option value="freelance">Freelance</option>
                            <option value="internship">Internship</option>
                            <option value="internship">Termporary</option>
                          </select>
                        </div>
                      </div>
                      <div class="col-md-6 col-lg-3 mb-3 mb-lg-0">
                        <input type="text" class="form-control form-control-block search-input" id="autocomplete" placeholder="Location" onFocus="geolocate()">
                      </div>
                      <div class="col-md-6 col-lg-3 mb-3 mb-lg-0">
                        <input type="submit" class="btn btn-primary btn-block" value="Search">
                      </div>
                    </div>
                  </form>
                </div>
                <div class="tab-pane fade" id="pills-candidate" role="tabpanel" aria-labelledby="pills-candidate-tab">
                  <form action="#" method="post">
                    <div class="row">
                      <div class="col-md-6 col-lg-3 mb-3 mb-lg-0">
                        <input type="text" class="form-control" placeholder="eg. Carl Smith">
                      </div>
                      <div class="col-md-6 col-lg-3 mb-3 mb-lg-0">
                        <div class="select-wrap">
                          <span class="icon-keyboard_arrow_down arrow-down"></span>
                          <select name="" id="" class="form-control">
                            <option value="">Category</option>
                            <option value="fulltime">Full Time</option>
                            <option value="fulltime">Part Time</option>
                            <option value="freelance">Freelance</option>
                            <option value="internship">Internship</option>
                            <option value="internship">Termporary</option>
                          </select>
                        </div>
                      </div>
                      <div class="col-md-6 col-lg-3 mb-3 mb-lg-0">
                        <input type="text" class="form-control form-control-block search-input" id="autocomplete" placeholder="Location" onFocus="geolocate()">
                      </div>
                      <div class="col-md-6 col-lg-3 mb-3 mb-lg-0">
                        <input type="submit" class="btn btn-primary btn-block" value="Search">
                      </div>
                    </div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>  


     <div class="site-section bg-light">
      <div class="container">
        <div class="row justify-content-start text-left mb-5">
          <div class="col-md-9" data-aos="fade">
            <h2 class="font-weight-bold text-black">Les dernières offres d'emploi</h2>
          </div>
          <div class="col-md-3" data-aos="fade" data-aos-delay="200">
            <a href="{{ path('ens_job_new') }}" class="btn btn-primary py-3 btn-block"><span class="h5">+</span>Publier une offre</a>
          </div>
        </div>

        {% for job in jobs %}
            <div class="row" data-aos="fade">
                <div class="col-md-12">

                    <div class="job-post-item bg-white p-4 d-block d-md-flex align-items-center">

                      <div class="mb-4 mb-md-0 mr-5">
                       <div class="job-post-item-header d-flex align-items-center">
                         <h2 class="mr-3 text-black h4">{{ job.position }}</h2>
                         <div class="badge-wrap">
                          <span class="bg-primary text-white badge py-2 px-4">{{ job.type }}</span>
                         </div>
                       </div>
                       <div class="job-post-item-body d-block d-md-flex">
                         <div class="mr-3"><span class="fl-bigmug-line-portfolio23"></span> <a href="#">{{ job.company }}</a></div>
                         <div><span class="fl-bigmug-line-big104"></span> <span>{{ job.location }}</span></div>
                       </div>
                      </div>

                      <div class="ml-auto">
                        <a href="#" class="btn btn-secondary rounded-circle btn-favorite text-gray-500"><span class="icon-heart"></span></a>
                        <a href="{{ path('ens_job_show', {'id' : job.id, 'company' : job.companySlug, 'location' : job.locationSlug , 'position' : job.positionSlug }) }}" class="btn btn-primary py-2">Postuler</a>
                      </div>
                    </div>

                </div>
            </div>
        {% endfor %}
       </div>
    </div> 


    
{% endblock %}